"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_uni_icons2 + _easycom_hs_footer2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "confirm",
  setup(__props) {
    const selectEd = common_vendor.ref(0);
    const handleSubmit = () => {
      common_vendor.index.showModal({
        title: "提示",
        content: "该功能在当前项目暂未开放，敬请期待",
        confirmColor: "#0082FA",
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    };
    const handleSelectPayType = (e) => {
      selectEd.value = e;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: selectEd.value == 1
      }, selectEd.value == 1 ? {
        b: common_vendor.p({
          type: "checkbox-filled",
          size: "20",
          color: "#2A7EFB"
        })
      } : {
        c: common_vendor.p({
          type: "circle",
          size: "20",
          color: "#888"
        })
      }, {
        d: common_vendor.o(($event) => handleSelectPayType(1)),
        e: common_vendor.o(handleSubmit),
        f: common_vendor.p({
          btnParimaryName: "确定"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f746d6c8"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/collection/confirm.vue"]]);
wx.createPage(MiniProgramPage);
